# ACE_Hash< ACE_INT32 > Class Template Reference

Function object for hashing a 32-bit signed number. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions

unsigned long | operator() (ACE_INT32 t) const
| Simply returns t.

## Detailed Description

### template<>
class ACE_Hash< ACE_INT32 >

Function object for hashing a 32-bit signed number.

## Member Function Documentation

ACE_INLINE unsigned long ACE_Hash< ACE_INT32 >::operator() | ( | ACE_INT32 | t | ) | const

| Simply returns t.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl